package com.ssj.service.kmt.request;

import com.ssj.service.conch.teacher.request.teacherorg.CorrectedPictureUrlRequest;
import com.ssj.service.kmt.dto.KnowHowDetailsDTO;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

/**
 * @author yrf
 * @date 2019/1/21 14:09
 */
public class CorrectV1Request extends BaseRequest {

    private static final long serialVersionUID = -4309321135596007039L;

    @ApiModelProperty(name = "homeworkId", value = "作业id", required = true)
    private String homeworkId;

    @ApiModelProperty(name = "correctStartTime", value = "作业开始批改时间时间戳", required = true)
    private long correctStartTime;

    @ApiModelProperty(name = "correctedPictureUrlList", value = "批改后的作业图片的路径")
    private List<CorrectedPictureUrlRequest> correctedPictureUrlList;

    @ApiModelProperty(name = "bookAnswerCorrects", value = "练习册对错题信息")
    private List<BookAnswerCorrectRequest> bookAnswerCorrects;

    @ApiModelProperty(name = "wrongHowDetails", value = "错题知识点id", required = false)
    private List<KnowHowDetailsDTO> wrongHowDetails;

    @ApiModelProperty(name = "knowledgeVersion", value = "知识点版本", required = true)
    private int knowledgeVersion;

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public long getCorrectStartTime() {
        return correctStartTime;
    }

    public void setCorrectStartTime(long correctStartTime) {
        this.correctStartTime = correctStartTime;
    }

    public List<BookAnswerCorrectRequest> getBookAnswerCorrects() {
        return bookAnswerCorrects;
    }

    public void setBookAnswerCorrects(List<BookAnswerCorrectRequest> bookAnswerCorrects) {
        this.bookAnswerCorrects = bookAnswerCorrects;
    }

    public List<CorrectedPictureUrlRequest> getCorrectedPictureUrlList() {
        return correctedPictureUrlList;
    }

    public void setCorrectedPictureUrlList(List<CorrectedPictureUrlRequest> correctedPictureUrlList) {
        this.correctedPictureUrlList = correctedPictureUrlList;
    }
    public List<KnowHowDetailsDTO> getWrongHowDetails() {
        return wrongHowDetails;
    }

    public void setWrongHowDetails(List<KnowHowDetailsDTO> wrongHowDetails) {
        this.wrongHowDetails = wrongHowDetails;
    }

    public int getKnowledgeVersion() {
        return knowledgeVersion;
    }

    public void setKnowledgeVersion(int knowledgeVersion) {
        this.knowledgeVersion = knowledgeVersion;
    }
}